Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.connectivity
Class RemoteProxyServer

    java.lang.Object
      org.codehaus.aspectwerkz.connectivity.RemoteProxyServer

All Implemented Interfaces:
  Runnable

    public class RemoteProxyServer

extends Object
implements Runnable

Server that listens to a specified port for client requests.

The implementation is based on sockets.

The invoker spawns a specified number of listener threads in which each one of these spawns a new RemoteProxyServerThread for each client request that comes in.

Uses a thread pool from util.concurrent.

Author:
  Jonas Bonr

Constructor Summary
`RemoteProxyServer(ClassLoader loader, Invoker invoker)` Starts a server object and starts listening for client access.

Method Summary
`void` | `run()` Does the actual work of listening for a client request and spawns a new RemoteProxyServerThread to serve the client.
`void` | `start()` Starts up the proxy server.
`void` | `stop()` Stops the socket proxy server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteProxyServer

    public RemoteProxyServer(ClassLoader loader,
                             Invoker invoker)

  Starts a server object and starts listening for client access.

  Parameters:
    `loader` - the classloader to use
    `invoker` - the invoker that makes the method invocation in the client thread

Method Detail

### start

    public void start()

  Starts up the proxy server.

### stop

    public void stop()

  Stops the socket proxy server.

### run

    public void run()

  Does the actual work of listening for a client request and spawns a new RemoteProxyServerThread to serve the client.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.